Base URL
https://api.venuerun.com/merchants/:merchantId/menus
Menus
Menus define a collection of items that can be ordered by customers.
This doc was generated by our interal API tester at:
November 11, 2024 at 2:00:27 AM
Endpoints
GET /merchants/:merchantId/menus
GET /merchants/:merchantId/menus/:menuId
POST /merchants/:merchantId/products
POST /merchants/:merchantId/menus/:menuId
DELETE /merchants/:merchantId/menus/:menuId
The Menu Object
Properties
- Name
id- Type
- string read-only
- Description
- The id of the menu
- Name
title- Type
- string
- Description
- The title of the menu
- Name
description- Type
- string
- Description
- A description of the menu
- Name
showSectionNavigation- Type
- boolean
- Description
- Show the section navigation in UI
- Name
visible- Type
- boolean
- Description
- Is the menu visible to customers
- Name
allDayMenu- Type
- boolean
- Description
- Is the menu available all day
- Name
begin- Type
- string
- Description
- The time the menu begins
- Name
end- Type
- string
- Description
- The time the menu ends
- Name
branding- Type
- object
- Description
- Branding information for the menu
- Name
banner- Type
- string
- Description
- The banner image for the menu can be a url or false
- Name
icon- Type
- string
- Description
- The icon for the menu can be a url or false
- Name
sections- Type
- array
- Description
- Array of sections objects in the menu
- Name
id- Type
- string read-only
- Description
- Section id of the section
- Name
title- Type
- string
- Description
- The title of the section
- Name
description- Type
- string
- Description
- The description of the section
- Name
type- Type
- string
- Description
- The type of the section. Currently LIST is only supported
- Name
items- Type
- array
- Description
- Array of productIds in the section
- Name
createdAt- Type
- string read-only
- Description
- The date the menu was created
- Name
updatedAt- Type
- string read-only
- Description
- The date the menu was updated
The Menu Object
{
"allDayMenu": true,
"begin": "0800",
"branding": {
"banner": false,
"icon": false
},
"createdAt": 1731312024,
"description": "",
"end": "2000",
"id": "NMYXFFmz0NvYy9C0JmmX",
"sections": [
{
"description": "",
"id": "-mdIm5MnvELsp1znnF3Z_",
"items": [],
"title": "Appitizers",
"type": "LIST"
}
],
"showSectionNavigation": false,
"testMode": true,
"title": "Menu From API Updated",
"updatedAt": 1731312024,
"visible": true
}
POST/merchants/:merchantId/menus
Create a Menu
This endpoint allows you to create a Menu
Required attributes
- Name
title- Type
- string
- Description
- The title of the menu
Optional attributes
- Name
id- Type
- string read-only
- Description
- The id of the menu
- Name
description- Type
- string
- Description
- A description of the menu
- Name
showSectionNavigation- Type
- boolean
- Description
- Show the section navigation in UI
- Name
visible- Type
- boolean
- Description
- Is the menu visible to customers
- Name
allDayMenu- Type
- boolean
- Description
- Is the menu available all day
- Name
begin- Type
- string
- Description
- The time the menu begins
- Name
end- Type
- string
- Description
- The time the menu ends
- Name
branding- Type
- object
- Description
- Branding information for the menu
- Name
banner- Type
- string
- Description
- The banner image for the menu can be a url or false
- Name
icon- Type
- string
- Description
- The icon for the menu can be a url or false
- Name
sections- Type
- array
- Description
- Array of sections objects in the menu
- Name
id- Type
- string read-only
- Description
- Section id of the section
- Name
title- Type
- string
- Description
- The title of the section
- Name
description- Type
- string
- Description
- The description of the section
- Name
type- Type
- string
- Description
- The type of the section. Currently LIST is only supported
- Name
items- Type
- array
- Description
- Array of productIds in the section
- Name
createdAt- Type
- string read-only
- Description
- The date the menu was created
- Name
updatedAt- Type
- string read-only
- Description
- The date the menu was updated
Request
POST
/merchants/:merchantsId/menusconst menu = await VenueRun.menus.create({
title: "Menu from API",
description: "",
hideCategoryNavigation: false,
visible: true,
allDayMenu: true,
begin: "0800",
end: "2000",
branding: {
banner: false,
icon: false
},
sections: [{
title: "Appitizers",
description: "",
items: []
}]
});
POST/merchants/:merchantId/menus/:menuId
Update a menu
This endpoint allows you to update a Menu
Required parameters
- Name
id- Type
- string
- Description
id of the menus
Optional attributes
- Name
id- Type
- string read-only
- Description
- The id of the menu
- Name
description- Type
- string
- Description
- A description of the menu
- Name
showSectionNavigation- Type
- boolean
- Description
- Show the section navigation in UI
- Name
visible- Type
- boolean
- Description
- Is the menu visible to customers
- Name
allDayMenu- Type
- boolean
- Description
- Is the menu available all day
- Name
begin- Type
- string
- Description
- The time the menu begins
- Name
end- Type
- string
- Description
- The time the menu ends
- Name
branding- Type
- object
- Description
- Branding information for the menu
- Name
banner- Type
- string
- Description
- The banner image for the menu can be a url or false
- Name
icon- Type
- string
- Description
- The icon for the menu can be a url or false
- Name
sections- Type
- array
- Description
- Array of sections objects in the menu
- Name
id- Type
- string read-only
- Description
- Section id of the section
- Name
title- Type
- string
- Description
- The title of the section
- Name
description- Type
- string
- Description
- The description of the section
- Name
type- Type
- string
- Description
- The type of the section. Currently LIST is only supported
- Name
items- Type
- array
- Description
- Array of productIds in the section
- Name
createdAt- Type
- string read-only
- Description
- The date the menu was created
- Name
updatedAt- Type
- string read-only
- Description
- The date the menu was updated
Request
POST
/merchants/:merchantsId/menus/menuIdawait VenueRun.menus.update(menuId, {
title: "Menu From API Updated"
});
Response
{
"allDayMenu": true,
"begin": "0800",
"branding": {
"banner": false,
"icon": false
},
"createdAt": 1731312024,
"description": "",
"end": "2000",
"id": "NMYXFFmz0NvYy9C0JmmX",
"sections": [
{
"description": "",
"id": "-mdIm5MnvELsp1znnF3Z_",
"items": [],
"title": "Appitizers",
"type": "LIST"
}
],
"showSectionNavigation": false,
"testMode": true,
"title": "Menu From API Updated",
"updatedAt": 1731312024,
"visible": true
}
GET/merchants/:merchantId/menus/:menuId
Retrive a Menu
This endpoint allows you to retrieve a Menu
Required parameters
- Name
id- Type
- string
- Description
id of the Menu
Request
GET
/merchants/:merchantsId/menus/:menuIdconst product = await VenueRun.menus.retrieve(product.id);
Response
{
"allDayMenu": true,
"begin": "0800",
"branding": {
"banner": false,
"icon": false
},
"createdAt": 1731312024,
"description": "",
"end": "2000",
"id": "NMYXFFmz0NvYy9C0JmmX",
"sections": [
{
"description": "",
"id": "-mdIm5MnvELsp1znnF3Z_",
"items": [],
"title": "Appitizers",
"type": "LIST"
}
],
"showSectionNavigation": false,
"testMode": true,
"title": "Menu From API Updated",
"updatedAt": 1731312024,
"visible": true
}
DELETE/merchants/:merchantId/menus/:menuId
Delete a menu
This endpoint allows you to delete a Menu
Required parameters
- Name
id- Type
- string
- Description
id of the product
Request
POST
/merchants/:merchantsId/menus/:menuIdawait VenueRun.menus.delete(menuId);
Response
{
"id": "NMYXFFmz0NvYy9C0JmmX",
"object": {
"allDayMenu": true,
"begin": "0800",
"branding": {
"banner": false,
"icon": false
},
"createdAt": 1731312024,
"description": "",
"end": "2000",
"id": "NMYXFFmz0NvYy9C0JmmX",
"sections": [
{
"description": "",
"id": "-mdIm5MnvELsp1znnF3Z_",
"items": [],
"title": "Appitizers",
"type": "LIST"
}
],
"showSectionNavigation": false,
"testMode": true,
"title": "Menu From API Updated",
"updatedAt": 1731312024,
"visible": true
},
"message": "Menu deleted",
"deleted": true
}
GET/merchants/:merchantId/menus
Get all Menus
This endpoint allows you to list all Menus
Request
POST
/merchants/:merchantsId/menusawait VenueRun.menus.list()

